List accounts that boosted a status
/api/v1/statuses/{id}/boostsPublic No authentication required.
Returns the accounts that boosted the specified status, most recent boost first. Publicly accessible without authentication.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
id | path | yes | integer |
Request body
None.
Example request
curl --request GET \
--url https://cookifed.example/api/v1/statuses/{id}/boosts \
--header 'Accept: application/json'const options = {method: 'GET', headers: {Accept: 'application/json'}};
fetch('https://cookifed.example/api/v1/statuses/{id}/boosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cookifed.example/api/v1/statuses/{id}/boosts"
headers = {"Accept": "application/json"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://cookifed.example/api/v1/statuses/{id}/boosts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cookifed.example/api/v1/statuses/{id}/boosts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Responses
200 OK
boosters
Response header Link string
Pagination links following RFC 5988 (Web Linking).
The Link header may contain one or more relations:
rel="next"— URL of the next pagerel="prev"— URL of the previous pagerel="first"— URL of the first pagerel="last"— URL of the last page
Example: https://example.com/api/v1/recipes?page=2; rel=“next”, https://example.com/api/v1/recipes?page=1; rel=“first”
Array of account_output:
idinteger requiredusernamestring requirednamestring requiredsummarystring requiredsummary_htmlstring requiredinstancestring requiredavatarobject requiredShow fields
originalstring requiredsmallstring requiredmediumstring required
statestring one ofunknown,loading,loadedrequiredThe account’s current sync status. -
unknown: We don’t know anything about this account. It may not even exist. -loading: We have loaded this account’s direct information, and are currently loading the statuses. -loaded: We have loaded the data from this account. Note that this doesn’t mean we actually have 100% of the data. There could be new data we haven’t loaded yet, or that wasn’t delivered to us. Local and managed accounts always have a state ofloaded.following_countinteger requiredfollowers_countinteger requiredlike_idinteger nullable required
Example response
[
{
"id": 0,
"username": "string",
"name": "string",
"summary": "string",
"summary_html": "string",
"instance": "string",
"avatar": {
"original": "string",
"small": "string",
"medium": "string"
},
"state": "unknown",
"following_count": 0,
"followers_count": 0,
"like_id": 0
}
]